Tcl

Public Member Functions | Static Public Attributes | Static Protected Attributes | List of all members
ns::itcl_class Class Reference

Documented itcl class `itcl_class` . More...

## Public Member Functions
| constructor args
| Create object.
| destructor
| Destroy object.
| itcl_method_x arg
| Documented itcl method `itcl_method_x` . More...
| itcl_method_y arg
| Documented itcl method `itcl_method_y` . More...
| itcl_method_z arg
| Documented itcl method `itcl_method_z` . More...

## Static Public Attributes
| itcl_Var
| Documented common itcl var `itcl_Var` .

## Static Protected Attributes
| itcl_var1
| Documented itcl var `itcl_var1` .

## Detailed Description

Documented itcl class `itcl_class` .

## Member Function Documentation

## ◆ itcl_method_x()

ns::itcl_class::itcl_method_x |  |  | arg

Documented itcl method `itcl_method_x` .

param[in] arg Argument

26 private method itcl_method_x {arg}{}

## ◆ itcl_method_y()

ns::itcl_class::itcl_method_y |  |  | arg

Documented itcl method `itcl_method_y` .

param[in] arg Argument

29 protected method itcl_method_y {arg} {}

## ◆ itcl_method_z()

ns::itcl_class::itcl_method_z |  |  | arg

Documented itcl method `itcl_method_z` .

param[in] arg Argument

32 public method itcl_method_z {arg} {}

The documentation for this class was generated from the following file:

- tclexample.tcl